inline class should not compile with --source 13

Srikanth srikanth.adayapalam at oracle.com
Mon Jul 1 13:48:57 UTC 2019


Hi Remi,

Thanks for reporting this, I will follow up.

Srikanth

On 01/07/19 7:13 PM, Remi Forax wrote:
> Hi Harold,
>
> it's not exactly the same issue,
> your issue is about the VM mine is about the javac.
>
> There are more both side of the same coin, e.g. the compiler (javac) and the VM should only support inline classes with the latest version of the classfile.
>
> Rémi
>
> ----- Mail original -----
>> De: "Harold David Seigel" <harold.seigel at oracle.com>
>> À: "valhalla-dev" <valhalla-dev at openjdk.java.net>
>> Envoyé: Lundi 1 Juillet 2019 15:10:46
>> Objet: Re: inline class should not compile with --source 13
>> Hi Remi,
>>
>> Thanks for reporting this issue.
>>
>> It looks similar to open bug
>> https://bugs.openjdk.java.net/browse/JDK-8208204
>>
>> Harold
>>
>> On 7/1/2019 9:05 AM, Remi Forax wrote:
>>> Hi all,
>>> currently if you try to compile with the version 13, you get a fun error message
>>> (because ValueBootstrapMethods is not a class which is a part of the version
>>> 13).
>>>
>>> bash-4.4$ /usr/jdk/jdk-13-lworld/bin/javac --release 13 Simple.java
>>> Simple.java:1: error: cannot access ValueBootstrapMethods
>>> inline class Simple {
>>>          ^
>>>     class file for java.lang.invoke.ValueBootstrapMethods not found
>>> 1 error
>>> Fatal Error: Unable to find method makeBootstrapMethod
>>>
>>>
>>> I believe it's better to not allow "inline" classes if the source version is not
>>> 14.
>>>
>>> Rémi



More information about the valhalla-dev mailing list